Leal API reference

REST API for managing your Leal loyalty program - stores, customers, cards, rewards, and more.

Cards

Manage loyalty stamp card templates

GET /api/v1/accounts/:account_id/cards
GET /api/v1/accounts/:account_id/cards/:id
POST /api/v1/accounts/:account_id/cards
PATCH /api/v1/accounts/:account_id/cards/:id

Customer Cards

View a customer's loyalty card progress

GET /api/v1/accounts/:account_id/customers/:customer_id/customer_cards
GET /api/v1/accounts/:account_id/customers/:customer_id/customer_cards/:id
POST /api/v1/accounts/:account_id/customers/:customer_id/customer_cards/:id/stamp
POST /api/v1/accounts/:account_id/customers/:customer_id/customer_cards/:id/redeem

Customers

Manage store customers

GET /api/v1/accounts/:account_id/customers
GET /api/v1/accounts/:account_id/customers/:id
POST /api/v1/accounts/:account_id/customers
PATCH /api/v1/accounts/:account_id/customers/:id

Locations

Manage physical store locations

GET /api/v1/accounts/:account_id/locations
GET /api/v1/accounts/:account_id/locations/:id
POST /api/v1/accounts/:account_id/locations
PATCH /api/v1/accounts/:account_id/locations/:id
DELETE /api/v1/accounts/:account_id/locations/:id

Posters

Manage QR code signup posters

GET /api/v1/accounts/:account_id/posters
GET /api/v1/accounts/:account_id/posters/:id
POST /api/v1/accounts/:account_id/posters
PATCH /api/v1/accounts/:account_id/posters/:id
DELETE /api/v1/accounts/:account_id/posters/:id

Rewards

Manage loyalty card rewards

GET /api/v1/accounts/:account_id/rewards
GET /api/v1/accounts/:account_id/rewards/:id
POST /api/v1/accounts/:account_id/rewards
PATCH /api/v1/accounts/:account_id/rewards/:id
DELETE /api/v1/accounts/:account_id/rewards/:id

Stores

Manage stores (accounts)

GET /api/v1/accounts
GET /api/v1/accounts/:id
PATCH /api/v1/accounts/:id